Bug 968484 (CVE-2013-2128) - CVE-2013-2128 Kernel: net: oops from tcp_collapse() when using splice(2)
Summary: CVE-2013-2128 Kernel: net: oops from tcp_collapse() when using splice(2)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-2128
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 863512 968871
Blocks: 968402
TreeView+ depends on / blocked
 
Reported: 2013-05-29 19:04 UTC by Prasad J Pandit
Modified: 2021-02-17 07:40 UTC (History)
24 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-09 12:41:57 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1051 0 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2013-07-16 22:22:03 UTC
Red Hat Product Errata RHSA-2013:1080 0 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2013-07-16 21:21:21 UTC

Description Prasad J Pandit 2013-05-29 19:04:29 UTC
Linux kernel which supports splice(2) call to move data across file/socket
descriptors via a pipe buffers, is vulnerable to a kernel crash that occurs
while calling splice(2) over a tcp socket which in turn calls tcp_read_sock().

A user/program could use this flaw to cause system crash, resulting in DoS.

Upstream fix:
-------------
  -> https://git.kernel.org/linus/baff42ab1494528907bf4d5870359e31711746ae

Comment 1 Prasad J Pandit 2013-05-30 05:44:37 UTC
Statement:

This issue does not affect the versions of the kernel package as shipped with Red Hat Enterprise Linux 5 and Red Hat Enterprise MRG 2.

This issue affects the version of Linux kernel as shipped with Red Hat Enterprise Linux 6. Future kernel updates for Red Hat Enterprise Linux 6 may address this issue.

Comment 4 errata-xmlrpc 2013-07-16 17:30:29 UTC
This issue has been addressed in following products:

  OpenStack 3 for RHEL 6

Via RHSA-2013:1080 https://rhn.redhat.com/errata/RHSA-2013-1080.html

Comment 5 errata-xmlrpc 2013-07-16 18:36:22 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1051 https://rhn.redhat.com/errata/RHSA-2013-1051.html


Note You need to log in before you can comment on or make changes to this bug.